package com.ruoyi.system.domain.document;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 说明文档对象 explain_document
 * 
 * @author boman
 * @date 2024-04-29
 */
public class ExplainDocument extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 说明文档ID */
    private Integer explainId;

    /** 说明文档标题 */
    @Excel(name = "说明文档标题")
    private String explainTitle;
    /**
     * 说明文档封面URL
     */
    private String explainImage;

    /** 说明文档类型（1:担保材料清单 2:小微企业说明） */
    @Excel(name = "说明文档类型", readConverterExp = "1=:担保材料清单,2=:小微企业说明")
    private String explainType;

    /** 说明文档内容 */
    @Excel(name = "说明文档内容")
    private String explainContent;

    /** 说明文档状态（0正常 1关闭） */
    @Excel(name = "说明文档状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    public String getExplainImage() {
        return explainImage;
    }

    public void setExplainImage(String explainImage) {
        this.explainImage = explainImage;
    }

    public void setExplainId(Integer explainId)
    {
        this.explainId = explainId;
    }

    public Integer getExplainId() 
    {
        return explainId;
    }
    public void setExplainTitle(String explainTitle) 
    {
        this.explainTitle = explainTitle;
    }

    public String getExplainTitle() 
    {
        return explainTitle;
    }
    public void setExplainType(String explainType) 
    {
        this.explainType = explainType;
    }

    public String getExplainType() 
    {
        return explainType;
    }
    public void setExplainContent(String explainContent) 
    {
        this.explainContent = explainContent;
    }

    public String getExplainContent() 
    {
        return explainContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("explainId", getExplainId())
            .append("explainTitle", getExplainTitle())
            .append("explainType", getExplainType())
            .append("explainContent", getExplainContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
